[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.OnUserInput

Event handler signalled to handle user input messages.

## Declaration

Source position: forms.pp line 1765

`public property TApplication.OnUserInput : TOnUserInputEvent read FOnUserInput write FOnUserInput;`

## Description

OnUserInput is a TOnUserInputEvent property with the event handler signalled when an input message is available in the processing loop for the widgetset class. It is signalled (when assigned) from the NotifyUserInputHandler method, and occurs before other application handlers using the ahtUserInput type are notified.

## See also

TApplicationHandlerType |  | Types of Application notification handlers.
TApplication.NotifyUserInputHandler |  | Notifies all user input handlers of the specified message.
TOnUserInputEvent |  | Specifies an event handler signalled to respond to user input messages in an application.